Records that the entitlement was made from an offer, for one made before the platform recorded it. An entitlement ordered from an offer carries its offer already.
PUT
/api/v1/provision/admin/entitlements/{entitlementId}/origin-offer/{offerId}
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/origin-offer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'PUT'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/origin-offer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Refused on an offer, on a sign-up or try entitlement (made from the offer it was issued from), and when the entitlement and the offer are governed by different suites.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entitlementId
required
string format: uuid
Entitlement id.
offerId
required
string format: uuid
The offer it was made from.
Responses
Section titled “Responses”OK
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}